Bug 586063 - Bluetooth mouse works only intermittently with Thinkpad X60
Summary: Bluetooth mouse works only intermittently with Thinkpad X60
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-26 18:17 UTC by Adam Williamson
Modified: 2011-06-03 15:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-03 15:16:59 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Williamson 2010-04-26 18:17:21 UTC
I'm currently using a Thinkpad X60. Smolt profile:

http://www.smolts.org/client/show/pub_b3e34ef2-0029-4fe0-9548-8560ce63d7e1

I paired it up with my Bluetooth mouse (Microsoft Wireless Bluetooth Mouse 5000 v1.0). I use the same mouse with another laptop (a Sony Vaio P) on Fedora 11 without any trouble, so I don't think the mouse is the issue.

The first odd thing I've noticed is that as soon as I leave it idle for a few seconds, three errors show up in the system logs, like this:

Apr 26 18:40:48 x60 kernel: btusb_intr_complete: hci0 urb ffff880022c2cd68 failed to resubmit (1)
Apr 26 18:40:48 x60 kernel: btusb_bulk_complete: hci0 urb ffff880022c2c840 failed to resubmit (1)
Apr 26 18:40:48 x60 kernel: btusb_bulk_complete: hci0 urb ffff880022c2ca50 failed to resubmit (1)

this happens always within 10 seconds or so of leaving the mouse idle. If I don't leave it idle - if I keep moving it constantly - no errors show up.

More importantly, it seems like some short time after I connect the mouse - whatever 'state' it's in - the bluetooth host resets:

Apr 26 19:12:26 x60 kernel: usb 5-1: reset full speed USB device using uhci_hcd and address 2
Apr 26 19:12:27 x60 kernel: btusb 5-1:1.0: no reset_resume for driver btusb?
Apr 26 19:12:27 x60 bluetoothd[1321]: HCI dev 0 down
Apr 26 19:12:27 x60 kernel: btusb 5-1:1.1: no reset_resume for driver btusb?
Apr 26 19:12:27 x60 bluetoothd[1321]: Adapter /org/bluez/1316/hci0 has been disabled
Apr 26 19:12:27 x60 bluetoothd[1321]: Stopping security manager 0
Apr 26 19:12:27 x60 bluetoothd[1321]: HCI dev 0 unregistered
Apr 26 19:12:27 x60 bluetoothd[1321]: Unregister path: /org/bluez/1316/hci0
Apr 26 19:12:27 x60 bluetoothd[1321]: HCI dev 0 registered
Apr 26 19:12:27 x60 bluetoothd[1321]: HCI dev 0 up
Apr 26 19:12:27 x60 bluetoothd[1321]: Starting security manager 0
Apr 26 19:12:27 x60 bluetoothd[1321]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Apr 26 19:12:27 x60 bluetoothd[1321]: Adapter /org/bluez/1316/hci0 has been enabled
Apr 26 19:12:27 x60 dbus: [system] Rejected send message, 2 matched rules; type="error", sender=":1.60" (uid=501 pid=2173 comm="bluetooth-applet) interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply=0 destination=":1.13" (uid=0 pid=1316 comm="/usr/sbin/bluetoothd))

and the mouse stops working. A couple of times I had to power the mouse off and back on to make it work again; this last time it seemed to pick it up again when I moved the mouse. It's all a bit erratic, but clearly not working right.

(It just reset the bluetooth host again while I've been working on this bug; again it picked the mouse up again after a bit when I moved it, but I had to try moving it twice, it picked it up again about 30 seconds after the host restarted).

Comment 1 Bug Zapper 2011-06-02 14:50:06 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Adam Williamson 2011-06-03 15:16:59 UTC
I don't have access to the affected system any more.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.